Package weka.classifiers.functions

# Class BoundaryAndCentroidClassifier

java.lang.Object
weka.classifiers.AbstractClassifier
weka.classifiers.SingleClassifierEnhancer
weka.classifiers.functions.SingleClassifierEnhancerBoundary
weka.classifiers.functions.BoundaryAndCentroidClassifier

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `weka.classifiers.Classifier`, `weka.core.BatchPredictor`, `weka.core.CapabilitiesHandler`, `weka.core.CapabilitiesIgnorer`, `weka.core.CommandlineRunnable`, `weka.core.OptionHandler`, `weka.core.RevisionHandler`

public class BoundaryAndCentroidClassifier extends SingleClassifierEnhancerBoundary

Since:
  2.0.0
Version:
  2.4.0
Author:
  pawel trajdos
See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class weka.classifiers.AbstractClassifier

  `BATCH_SIZE_DEFAULT, NUM_DECIMAL_PLACES_DEFAULT`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BoundaryAndCentroidClassifier()`
  `BoundaryAndCentroidClassifier(ClassifierWithBoundaries boundClassifier)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `buildClassifier(weka.core.Instances data)`
  `double[]`
  `distributionForInstance(weka.core.Instance instance)`
  `String`
  `epsTipText()`
  `double`
  `getEps()`
  `String[]`
  `getOptions()`
  `PotentialFunction`
  `getPotFunction()`
  `double`
  `getProportion()`
  `weka.classifiers.functions.nearestCentroid.IClusterPrototype`
  `getPrototypeProto()`
  `String`
  `globalInfo()`
  `boolean`
  `isNormalize()`
  `boolean`
  `isUsePriors()`
  `Enumeration<weka.core.Option>`
  `listOptions()`
  `String`
  `normalizeTipText()`
  `String`
  `potFunctionTipText()`
  `String`
  `proportionTipText()`
  `String`
  `prototypeProtoTipText()`
  `void`
  `setEps(double eps)`
  `void`
  `setNormalize(boolean normalize)`
  `void`
  `setOptions(String[] options)`
  `void`
  `setPotFunction(PotentialFunction potFunction)`
  `void`
  `setProportion(double proportion)`
  `void`
  `setPrototypeProto(weka.classifiers.functions.nearestCentroid.IClusterPrototype prototypeProto)`
  `void`
  `setUsePriors(boolean usePriors)`
  `String`
  `usePriorsTipText()`

  ### Methods inherited from class weka.classifiers.functions.SingleClassifierEnhancerBoundary

  `getCapabilities, setClassifier`

  ### Methods inherited from class weka.classifiers.SingleClassifierEnhancer

  `classifierTipText, getClassifier, postExecution, preExecution`

  ### Methods inherited from class weka.classifiers.AbstractClassifier

  `batchSizeTipText, classifyInstance, debugTipText, distributionsForInstances, doNotCheckCapabilitiesTipText, forName, getBatchSize, getDebug, getDoNotCheckCapabilities, getNumDecimalPlaces, getRevision, implementsMoreEfficientBatchPrediction, makeCopies, makeCopy, numDecimalPlacesTipText, run, runClassifier, setBatchSize, setDebug, setDoNotCheckCapabilities, setNumDecimalPlaces`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### BoundaryAndCentroidClassifier

    public BoundaryAndCentroidClassifier(ClassifierWithBoundaries boundClassifier)

  - ### BoundaryAndCentroidClassifier

    public BoundaryAndCentroidClassifier()

- ## Method Details

  - ### buildClassifier

    public void buildClassifier(weka.core.Instances data) throws Exception
    Throws:
      `Exception`

  - ### distributionForInstance

    public double[] distributionForInstance(weka.core.Instance instance) throws Exception
    Specified by:
      `distributionForInstance` in interface `weka.classifiers.Classifier`
    Overrides:
      `distributionForInstance` in class `weka.classifiers.AbstractClassifier`
    Throws:
      `Exception`

  - ### globalInfo

    public String globalInfo()

  - ### getPrototypeProto

    public weka.classifiers.functions.nearestCentroid.IClusterPrototype getPrototypeProto()
    Returns:
      the prototypeProto

  - ### setPrototypeProto

    public void setPrototypeProto(weka.classifiers.functions.nearestCentroid.IClusterPrototype prototypeProto)
    Parameters:
      `prototypeProto` - the prototypeProto to set

  - ### prototypeProtoTipText

    public String prototypeProtoTipText()

  - ### getPotFunction

    public PotentialFunction getPotFunction()
    Returns:
      the potFunction

  - ### setPotFunction

    public void setPotFunction(PotentialFunction potFunction)
    Parameters:
      `potFunction` - the potFunction to set

  - ### potFunctionTipText

    public String potFunctionTipText()

  - ### getProportion

    public double getProportion()
    Returns:
      the proportion

  - ### setProportion

    public void setProportion(double proportion)
    Parameters:
      `proportion` - the proportion to set

  - ### proportionTipText

    public String proportionTipText()

  - ### getEps

    public double getEps()
    Returns:
      the eps

  - ### setEps

    public void setEps(double eps)
    Parameters:
      `eps` - the eps to set

  - ### epsTipText

    public String epsTipText()

  - ### isNormalize

    public boolean isNormalize()
    Returns:
      the normalize

  - ### setNormalize

    public void setNormalize(boolean normalize)
    Parameters:
      `normalize` - the normalize to set

  - ### normalizeTipText

    public String normalizeTipText()

  - ### listOptions

    public Enumeration<weka.core.Option> listOptions()
    Specified by:
      `listOptions` in interface `weka.core.OptionHandler`
    Overrides:
      `listOptions` in class `weka.classifiers.SingleClassifierEnhancer`

  - ### setOptions

    public void setOptions(String[] options) throws Exception
    Specified by:
      `setOptions` in interface `weka.core.OptionHandler`
    Overrides:
      `setOptions` in class `weka.classifiers.SingleClassifierEnhancer`
    Throws:
      `Exception`

  - ### getOptions

    public String[] getOptions()
    Specified by:
      `getOptions` in interface `weka.core.OptionHandler`
    Overrides:
      `getOptions` in class `weka.classifiers.SingleClassifierEnhancer`

  - ### isUsePriors

    public boolean isUsePriors()
    Returns:
      the usePriors

  - ### setUsePriors

    public void setUsePriors(boolean usePriors)
    Parameters:
      `usePriors` - the usePriors to set

  - ### usePriorsTipText

    public String usePriorsTipText()